Bug 903285 - (python-viper) Review Request: python-viper - A minimalistic scientific plotter and run-time visualization module
Review Request: python-viper - A minimalistic scientific plotter and run-time...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 693158 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 11:18 EST by Jonathan Underwood
Modified: 2014-07-30 20:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 05:55:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2013-01-23 11:18:39 EST
Spec URL: http://fedorapeople.org/~jgu/python-viper.spec
SRPM URL: http://fedorapeople.org/~jgu/python-viper-1.0.0-0.2.fc19.src.rpm
Description: 
A simple mesh plotter and run-time visualization module for plotting and
saving simulation data. The class C{Viper} can visualize solutions given as
numpy arrays, and meshes that provide the two methods C{cells()} and
C{coordinates()}. These methods should return numpy arrays specifying the
node-element ordering and coordinates of the nodes, respectively.


Fedora Account System Username: jgu
Comment 1 Jonathan Underwood 2013-01-23 11:20:57 EST
Previously this was submitted for review as BZ 693158 but an overly officious review decided to be obstructive and close that bug when the original submitter didn't respond.
Comment 2 Jonathan Underwood 2013-01-23 11:21:52 EST
*** Bug 693158 has been marked as a duplicate of this bug. ***
Comment 3 RudraB 2013-01-28 08:14:30 EST
Hi Jonathan,
this is an unofficial review. 
I found one  problem with your submission.

In your spec, you declared the code as LGPLv2+
but your COPYING file includes GPLv3.
You may want to correct it.
Comment 4 Volker Fröhlich 2013-01-28 08:24:37 EST
https://bugzilla.redhat.com/show_bug.cgi?id=693158#c3

It's not the license file that counts. licensecheck is your friend here.
Comment 5 RudraB 2013-01-28 08:48:50 EST
oops...I found my mistake and sorry. withdrawing the revision.
Sorry Jonathan
Comment 6 Fabian Affolter 2013-03-05 14:01:16 EST
The website says: "Viper is no longer being maintained. VTK-based plotting is now incorporated directly DOLFIN from version 1.1."
Comment 7 Jonathan Underwood 2013-03-06 05:55:03 EST
Ah yes, so it does. I guess we can close this review in that case.

Note You need to log in before you can comment on or make changes to this bug.